## r-cran-zeallot 0.1.0

=== DESCRIPTION ===
Package: zeallot
Type: Package
Title: Multiple, Unpacking, and Destructuring Assignment
Version: 0.1.0
Authors@R: c(
    person(given = "Nathan", family = "Teetor", email = "nathanteetor@gmail.com", role = c("aut", "cre")),
    person(given = "Paul", family = "Teetor", role = "ctb"))
Description: Provides a %<-% operator to perform multiple,
    unpacking, and destructuring assignment in R. The 
    operator unpacks the right-hand side of an assignment
    into multiple values and assigns these values to 
    variables on the left-hand side of the assignment.
URL: https://github.com/nteetor/zeallot
BugReports: https://github.com/nteetor/zeallot/issues
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 6.0.1
VignetteBuilder: knitr
Suggests: testthat, knitr, rmarkdown, purrr, magrittr
NeedsCompilation: no
Packaged: 2018-01-27 17:18:33 UTC; nteetor
Author: Nathan Teetor [aut, cre],
  Paul Teetor [ctb]
Maintainer: Nathan Teetor <nathanteetor@gmail.com>
Repository: CRAN
Date/Publication: 2018-01-28 16:14:13 UTC

=== debian/changelog ===
r-cran-zeallot (0.1.0-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 22:51:59 +0200

r-cran-zeallot (0.1.0-2) unstable; urgency=medium

  * Team upload
  * No-change rebuild on the buildds

 -- Graham Inggs <ginggs@debian.org>  Sat, 24 Aug 2019 08:58:43 +0000

r-cran-zeallot (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #931833)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 09:03:26 +0200

=== debian/control ===
Source: r-cran-zeallot
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-zeallot
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-zeallot.git
Homepage: https://cran.r-project.org/package=zeallot
Rules-Requires-Root: no

Package: r-cran-zeallot
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R multiple, unpacking, and destructuring assignment
 Provides a %<-% operator to perform multiple,
 unpacking, and destructuring assignment in R. The
 operator unpacks the right-hand side of an assignment
 into multiple values and assigns these values to
 variables on the left-hand side of the assignment.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/zeallot_([-\d.]*)\.tar\.gz

## r-cran-zeallot 0.2.0

=== debian/changelog ===
r-cran-zeallot (0.2.0-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Jan 2026 16:26:50 +0900

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-zeallot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-zeallot.git
 Homepage: https://cran.r-project.org/package=zeallot

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-codetools,
        r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-purrr
Restrictions: allow-stderr
